Loading...
Searching...
No Matches
itk::BinaryANNTreeBase< TListSample > Class Template Referenceabstract
Common » ANNwrap

`#include <itkBinaryANNTreeBase.h>`

## Detailed Description

template<class TListSample>
class itk::BinaryANNTreeBase< TListSample >

Definition at line 37 of file itkBinaryANNTreeBase.h.

Inheritance diagram for itk::BinaryANNTreeBase< TListSample >:
[legend]

## Public Types

using | ANNPointSetType = ANNpointSet
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType
using | Self = BinaryANNTreeBase
using | Superclass = BinaryTreeBase<TListSample>
using | TotalAbsoluteFrequencyType
Public Types inherited from itk::BinaryTreeBase< TListSample >
using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType
using | MeasurementVectorType = typename SampleType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType = TListSample
using | Self = BinaryTreeBase
using | Superclass = DataObject
using | TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

## Public Member Functions

virtual ANNPointSetType * | GetANNTree () const =0
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeBase)
Public Member Functions inherited from itk::BinaryTreeBase< TListSample >
virtual void | GenerateTree ()=0
TotalAbsoluteFrequencyType | GetActualNumberOfDataPoints () const
MeasurementVectorSizeType | GetDataDimension () const
TotalAbsoluteFrequencyType | GetNumberOfDataPoints () const
virtual const SampleType * | GetSample ()
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeBase)
virtual void | SetSample (SampleType *_arg)

## Protected Member Functions

| BinaryANNTreeBase ()=default
| ~BinaryANNTreeBase () override=default
Protected Member Functions inherited from itk::BinaryTreeBase< TListSample >
| BinaryTreeBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BinaryTreeBase () override=default

## Member Typedef Documentation

## ANNPointSetType

template<class TListSample>

using itk::BinaryANNTreeBase< TListSample >::ANNPointSetType = ANNpointSet

Typedef

Definition at line 58 of file itkBinaryANNTreeBase.h.

## ConstPointer

template<class TListSample>

using itk::BinaryANNTreeBase< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 46 of file itkBinaryANNTreeBase.h.

## MeasurementVectorSizeType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::MeasurementVectorSizeType

Definition at line 55 of file itkBinaryTreeBase.h.

## MeasurementVectorType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::MeasurementVectorType

Typedef's.

Definition at line 54 of file itkBinaryTreeBase.h.

## Pointer

template<class TListSample>

using itk::BinaryANNTreeBase< TListSample >::Pointer = SmartPointer<Self>

Definition at line 45 of file itkBinaryANNTreeBase.h.

## SampleType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::SampleType

Typedef's.

Definition at line 51 of file itkBinaryTreeBase.h.

## Self

template<class TListSample>

using itk::BinaryANNTreeBase< TListSample >::Self = BinaryANNTreeBase

Standard itk.

Definition at line 43 of file itkBinaryANNTreeBase.h.

## Superclass

template<class TListSample>

using itk::BinaryANNTreeBase< TListSample >::Superclass = BinaryTreeBase<TListSample>

Definition at line 44 of file itkBinaryANNTreeBase.h.

## TotalAbsoluteFrequencyType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::TotalAbsoluteFrequencyType

Definition at line 56 of file itkBinaryTreeBase.h.

## Constructor & Destructor Documentation

## BinaryANNTreeBase()

template<class TListSample>

itk::BinaryANNTreeBase< TListSample >::BinaryANNTreeBase | ( |  | ) |

protected default

Constructor.

## ~BinaryANNTreeBase()

template<class TListSample>

itk::BinaryANNTreeBase< TListSample >::~BinaryANNTreeBase | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## GetANNTree()

template<class TListSample>

virtual ANNPointSetType * itk::BinaryANNTreeBase< TListSample >::GetANNTree | ( |  | ) | const

pure virtual

Get the ANN tree.

Implemented in itk::ANNBruteForceTree< TListSample >, itk::ANNBruteForceTree< ListSampleType >, itk::ANNkDTree< TListSample >, and itk::ANNkDTree< ListSampleType >.

## GetClassName()

template<class TListSample>

virtual const char * itk::BinaryANNTreeBase< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::BinaryTreeBase< TListSample >.

Reimplemented in itk::ANNbdTree< TListSample >, itk::ANNbdTree< ListSampleType >, itk::ANNBruteForceTree< TListSample >, itk::ANNBruteForceTree< ListSampleType >, itk::ANNkDTree< TListSample >, and itk::ANNkDTree< ListSampleType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::BinaryANNTreeBase< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | BinaryANNTreeBase< TListSample > |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |